org.eclipse.wst.jsdt.core

## Interface IField

All Superinterfaces:
  IJavaScriptElement, ILookupScope, IMember, IParent, ISourceManipulation, ISourceReference

    public interface IField
    extends IMember

Represents a field declared in a type or a var declared at the file scope.

This interface is not intended to be implemented by clients.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Field Summary

### Fields inherited from interface org.eclipse.wst.jsdt.core.IJavaScriptElement

`CLASS_FILE, EXPORT_CONTAINER, EXPORT_DECLARATION, FIELD, IMPORT_CONTAINER, IMPORT_DECLARATION, INITIALIZER, JAVASCRIPT_MODEL, JAVASCRIPT_PROJECT, JAVASCRIPT_UNIT, LOCAL_VARIABLE, METHOD, PACKAGE_FRAGMENT, PACKAGE_FRAGMENT_ROOT, TYPE`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getElementName()` Returns the simple name of this field.
`java.lang.String` `getKey()` Returns the binding key for this field.
`java.lang.String` `getTypeSignature()` Returns the type signature of this field.
`boolean` `isResolved()` Returns whether this field represents a resolved field.

### Methods inherited from interface org.eclipse.wst.jsdt.core.IMember

`getCategories, getClassFile, getDeclaringType, getFlags, getJavaScriptUnit, getJSdocRange, getNameRange, getOccurrenceCount, getType, getTypeRoot, isBinary`

### Methods inherited from interface org.eclipse.wst.jsdt.core.IJavaScriptElement

`exists, getAncestor, getAttachedJavadoc, getCommonSuperType, getCorrespondingResource, getDisplayName, getElementType, getHandleIdentifier, getHostPath, getJavaScriptModel, getJavaScriptProject, getOpenable, getParent, getPath, getPrimaryElement, getResource, getSchedulingRule, getUnderlyingResource, isReadOnly, isStructureKnown, isVirtual`

### Methods inherited from interface org.eclipse.wst.jsdt.core.ILookupScope

`newNameLookup, newNameLookup, newSearchableNameEnvironment, newSearchableNameEnvironment`

### Methods inherited from interface org.eclipse.wst.jsdt.core.ISourceReference

`exists, getSource, getSourceRange`

### Methods inherited from interface org.eclipse.wst.jsdt.core.ISourceManipulation

`copy, delete, move, rename`

### Methods inherited from interface org.eclipse.wst.jsdt.core.IParent

`getChildren, hasChildren`

### Method Detail

#### getElementName

    java.lang.String getElementName()

Returns the simple name of this field.

Specified by:
  `getElementName` in interface `IJavaScriptElement`
Returns:
  the simple name of this field.

#### getKey

    java.lang.String getKey()

Returns the binding key for this field. A binding key is a key that uniquely identifies this field. It allows access to generic info for parameterized fields.

Returns:
  the binding key for this field
See Also:
  `IBinding.getKey()`, `BindingKey`

#### getTypeSignature

    java.lang.String getTypeSignature()
                               throws JavaScriptModelException

Returns the type signature of this field.

The type signature may be either unresolved (for source types) or resolved (for binary types), and either basic (for basic types) or rich (for parameterized types). See `Signature` for details.

Returns:
  the type signature of this field
Throws:
  `JavaScriptModelException` - if this element does not exist or if an exception occurs while accessing its corresponding resource
See Also:
  `Signature`

#### isResolved

    boolean isResolved()

Returns whether this field represents a resolved field. If a field is resoved, its key contains resolved information.

Returns:
  whether this field represents a resolved field.